Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/profiles/default/csv/from.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/profiles/default/csv/from.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/profiles/default/csv/from.xsl	(revision 2397)
@@ -6,128 +6,137 @@
 	xmlns:tei="http://www.tei-c.org/ns/1.0"
 	xmlns:jc="http://james.blushingbunny.net/ns.html"
 	exclude-result-prefixes="xs tei jc">
-	<xsl:param name="input-encoding" select="'UTF-8'" as="xs:string"/>
-	<xsl:output indent="yes" encoding="UTF-8"/>
-	<xsl:param name="input-uri" select="'filename.csv'"/>
+	<xsl:param name="input-encoding" select="'UTF-8'"
+		as="xs:string" />
+	<xsl:output indent="yes" encoding="UTF-8" />
+	<xsl:param name="input-uri" select="'filename.csv'" />
 
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p>This software is dual-licensed:
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: James Cummings</p>
-         <p>Id: $Id: from.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
-         <p>Copyright: 2010, TEI Consortium</p>
-<p>
-Usage:  saxon -it main styesheet.xsl input-uri=filename.csv
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
 
-<ul>
-<li> It assumes cells are comma separated and 
-rows are on individual lines...technically a linebreak 
-is allowed to occur inside a quoted CSV field, but in 
-this stylesheet it will be treated as two separate lines.</li>
-<li>If surrounded in double-quotes, it will remove 
-them.</li>
-<li>If there are extra or final commas, these will be changed 
-into empty <gi>cell/</gi> elements </li>
-<li> It assumes things are in UTF-8 but this can be 
-changed with the input-encoding parameter.  
-All output is converted to UTF-8.</li>
-</ul>
-</p>
-      </desc>
-   </doc>
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: James Cummings</p>
+			<p>Id: $Id: from.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
+			<p>Copyright: 2010, TEI Consortium</p>
+			<p>
+				Usage: saxon -it main styesheet.xsl input-uri=filename.csv
 
-   <xsl:function name="jc:splitCSV" as="xs:string+">
-     <xsl:param name="str" as="xs:string"/>
-     <xsl:analyze-string select="concat($str, ',')"
-			 regex="((&quot;[^&quot;]*&quot;)+|[^,]*),">
-       <xsl:matching-substring>
-	 <xsl:sequence
-	     select="replace(regex-group(1), &quot;^&quot;&quot;|&quot;&quot;$|(&quot;&quot;)&quot;&quot;&quot;, &quot;$1&quot;)"
-	     />
-       </xsl:matching-substring>
-     </xsl:analyze-string>
-   </xsl:function>
-   
-   <xsl:template match="/" name="main">
-     <xsl:choose>
-       <xsl:when test="unparsed-text-available($input-uri, $input-encoding)">
-	 <xsl:variable name="csv"
-		       select="unparsed-text($input-uri, $input-encoding)"/>
-	 <xsl:variable name="lines" select="tokenize($csv, '&#xa;')"
-		       as="xs:string+"/>
-	 <TEI xmlns="http://www.tei-c.org/ns/1.0">
-	   <teiHeader>
-	     <fileDesc>
-	       <titleStmt>
-		 <title>A TEI file automatically converted from CSV</title>
-	       </titleStmt>
-	       <publicationStmt>
-		 <p>No publication statement</p>
-	       </publicationStmt>
-	       <sourceDesc>
-		 <p>A TEI file automatically converted from a CSV file.</p>
-		 
-	       </sourceDesc>
-	     </fileDesc>
-	   </teiHeader>
-	   <text>
-	     <body>
-	       <table>
-		 <xsl:for-each select="$lines">
-		   <row>
-		     <xsl:variable name="lineItems" select="jc:splitCSV(.)"
-				   as="xs:string+"/>
-		     
-		     <xsl:for-each select="$lineItems">
-		       <xsl:variable name="pos" select="position()"/>
-		       <cell n="{$pos}">
-			 <xsl:value-of select="$lineItems[$pos]"/>
-		       </cell>
-		     </xsl:for-each>
-		   </row>
-		 </xsl:for-each>
-	       </table>
-	     </body>
-	   </text>
-	 </TEI>
-       </xsl:when>
-       <xsl:otherwise>
-	 <xsl:message terminate="yes">
-	   <xsl:text>Cannot find the input csv file: </xsl:text>
-	   <xsl:value-of select="$input-uri"/>
-	 </xsl:message>
-       </xsl:otherwise>
-     </xsl:choose>
-   </xsl:template>
+				<ul>
+					<li> It assumes cells are comma separated and
+						rows are on individual lines...technically a linebreak
+						is allowed to occur inside a quoted CSV field, but in
+						this stylesheet it will be treated as two separate lines.</li>
+					<li>If surrounded in double-quotes, it will remove
+						them.</li>
+					<li>
+						If there are extra or final commas, these will be changed
+						into empty
+						<gi>cell/</gi>
+						elements
+					</li>
+					<li> It assumes things are in UTF-8 but this can be
+						changed with the input-encoding parameter.
+						All output is converted to UTF-8.</li>
+				</ul>
+			</p>
+		</desc>
+	</doc>
+
+	<xsl:function name="jc:splitCSV" as="xs:string+">
+		<xsl:param name="str" as="xs:string" />
+		<xsl:analyze-string select="concat($str, ',')"
+			regex="((&quot;[^&quot;]*&quot;)+|[^,]*),">
+			<xsl:matching-substring>
+				<xsl:sequence
+					select="replace(regex-group(1), &quot;^&quot;&quot;|&quot;&quot;$|(&quot;&quot;)&quot;&quot;&quot;, &quot;$1&quot;)" />
+			</xsl:matching-substring>
+		</xsl:analyze-string>
+	</xsl:function>
+
+	<xsl:template match="/" name="main">
+		<xsl:choose>
+			<xsl:when
+				test="unparsed-text-available($input-uri, $input-encoding)">
+				<xsl:variable name="csv"
+					select="unparsed-text($input-uri, $input-encoding)" />
+				<xsl:variable name="lines"
+					select="tokenize($csv, '&#xa;')" as="xs:string+" />
+				<TEI xmlns="http://www.tei-c.org/ns/1.0">
+					<teiHeader>
+						<fileDesc>
+							<titleStmt>
+								<title>A TEI file automatically converted from CSV</title>
+							</titleStmt>
+							<publicationStmt>
+								<p>No publication statement</p>
+							</publicationStmt>
+							<sourceDesc>
+								<p>A TEI file automatically converted from a CSV file.</p>
+
+							</sourceDesc>
+						</fileDesc>
+					</teiHeader>
+					<text>
+						<body>
+							<table>
+								<xsl:for-each select="$lines">
+									<row>
+										<xsl:variable name="lineItems"
+											select="jc:splitCSV(.)" as="xs:string+" />
+
+										<xsl:for-each select="$lineItems">
+											<xsl:variable name="pos" select="position()" />
+											<cell n="{$pos}">
+												<xsl:value-of select="$lineItems[$pos]" />
+											</cell>
+										</xsl:for-each>
+									</row>
+								</xsl:for-each>
+							</table>
+						</body>
+					</text>
+				</TEI>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:message terminate="yes">
+					<xsl:text>Cannot find the input csv file: </xsl:text>
+					<xsl:value-of select="$input-uri" />
+				</xsl:message>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 </xsl:stylesheet>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/profiles/default/lite/to.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/profiles/default/lite/to.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/profiles/default/lite/to.xsl	(revision 2397)
@@ -1,56 +1,59 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet 
-                xmlns:m="http://www.w3.org/1998/Math/MathML"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                exclude-result-prefixes="tei m"
-                version="2.0">
+<xsl:stylesheet
+	xmlns:m="http://www.w3.org/1998/Math/MathML"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	exclude-result-prefixes="tei m" version="2.0">
 
-    <!-- import base conversion style -->
+	<!-- import base conversion style -->
 
-    <xsl:import href="../../../odds2/odd2lite.xsl"/>
+	<xsl:import href="../../../odds2/odd2lite.xsl" />
 
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
 
-         <p>This software is dual-licensed:
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: to.xsl 9703 2011-11-09 11:16:42Z rahtz $</p>
-         <p>Copyright: 2008, TEI Consortium</p>
-      </desc>
-   </doc>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
 
-  
-    
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: to.xsl 9703 2011-11-09 11:16:42Z rahtz $</p>
+			<p>Copyright: 2008, TEI Consortium</p>
+		</desc>
+	</doc>
+
+
+
 </xsl:stylesheet>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/profiles/default/docx/default-functions.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/profiles/default/docx/default-functions.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/profiles/default/docx/default-functions.xsl	(revision 2397)
@@ -1,117 +1,160 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:iso="http://www.iso.org/ns/1.0"
-                xmlns:xs="http://www.w3.org/2001/XMLSchema"
-                xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
-                xmlns:o="urn:schemas-microsoft-com:office:office"
-                xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
-                xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
-                xmlns:v="urn:schemas-microsoft-com:vml"
-                xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
-                xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
-                xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main"
-                xmlns:w10="urn:schemas-microsoft-com:office:word"
-                xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
-                xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml"
-                xmlns:mml="http://www.w3.org/1998/Math/MathML"
-                xmlns:tbx="http://www.lisa.org/TBX-Specification.33.0.html"
-                xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture"
-                
-                xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0"
-                version="2.0"
-                exclude-result-prefixes="ve o r m v wp w10 w wne mml tbx iso tei a xs pic fn">
+<xsl:stylesheet
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:iso="http://www.iso.org/ns/1.0"
+	xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
+	xmlns:o="urn:schemas-microsoft-com:office:office"
+	xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
+	xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
+	xmlns:v="urn:schemas-microsoft-com:vml"
+	xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
+	xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
+	xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main"
+	xmlns:w10="urn:schemas-microsoft-com:office:word"
+	xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
+	xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml"
+	xmlns:mml="http://www.w3.org/1998/Math/MathML"
+	xmlns:tbx="http://www.lisa.org/TBX-Specification.33.0.html"
+	xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture"
 
-    
-    <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p> Specialized TEI stylesheet for transforming tei into Word docx files for Vesta </p>
-         <p>This software is dual-licensed:
+	xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0" version="2.0"
+	exclude-result-prefixes="ve o r m v wp w10 w wne mml tbx iso tei a xs pic fn">
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p> Specialized TEI stylesheet for transforming tei into Word docx
+				files for Vesta </p>
+			<p>This software is dual-licensed:
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				All rights reserved.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: default-functions.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
-         <p>Copyright: 2008, TEI Consortium</p>
-      </desc>
-   </doc>
-    
-    <!-- returns a listtype for a given stylename (return empty string to figure it out dynamically)-->
-    <xsl:function name="tei:get-listtype" as="xs:string">
-        <xsl:param name="style"/>
-        <xsl:choose>
-            <xsl:when test="starts-with($style,'dl')">
-                <xsl:text>gloss</xsl:text>
-            </xsl:when>
-            <xsl:when test="starts-with($style,$ListBullet)">
-                <xsl:text>unordered</xsl:text>
-            </xsl:when>
-            <xsl:when test="starts-with($style,$ListContinue)">
-                <xsl:text>unordered</xsl:text>
-            </xsl:when>
-            <xsl:when test="starts-with($style,$ListNumber)">
-                <xsl:text>ordered</xsl:text>
-            </xsl:when>
-            <xsl:when test="$style=$List">
-                <xsl:text>ordered</xsl:text>
-            </xsl:when>
-            <xsl:otherwise>
-                <xsl:text/>
-            </xsl:otherwise>
-        </xsl:choose>
-    </xsl:function>
-    
-    <xsl:function name="tei:render-bold" as="xs:boolean">
-        <xsl:param name="element"/>
-        <xsl:for-each select="$element">
-            <xsl:choose>
-		<xsl:when test="ancestor-or-self::tei:cell[@rend='wovenodd-col1']">true</xsl:when>
-		<xsl:when test="ancestor-or-self::tei:cell[@role='label']">true</xsl:when>
-		<xsl:when test="self::tei:cell and parent::tei:row[@role='label']">true</xsl:when>
-                <xsl:when test="@rend='bold'">true</xsl:when>
-                <xsl:when test="@rend='label'">true</xsl:when>
-                <xsl:when test="@rend='odd_label'">true</xsl:when>
-                <xsl:when test="contains(@rend,'bold')">true</xsl:when>
-                <xsl:when test="parent::tei:hi[@rend='bold']">true</xsl:when>
-                <xsl:when test="parent::tei:hi[starts-with(@rend,'specList-')]">true</xsl:when>
-                <xsl:when test="self::tei:docAuthor">true</xsl:when>
-                <xsl:when test="self::tei:hi[@rend='label']">true</xsl:when>
-                <xsl:when test="self::tei:label[following-sibling::tei:item]">true</xsl:when>
-                <xsl:when test="self::tei:term">true</xsl:when>
-                <xsl:when test="starts-with(@rend,'specList-')">true</xsl:when>
-                <xsl:when test="starts-with(parent::tei:hi/@rend,'specList-')">true</xsl:when>
-                <xsl:otherwise>false</xsl:otherwise>
-            </xsl:choose>
-        </xsl:for-each>
-    </xsl:function>
-    
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
+
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
+
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: default-functions.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
+			<p>Copyright: 2008, TEI Consortium</p>
+		</desc>
+	</doc>
+
+	<!-- returns a listtype for a given stylename (return empty string to figure 
+		it out dynamically) -->
+	<xsl:function name="tei:get-listtype" as="xs:string">
+		<xsl:param name="style" />
+		<xsl:choose>
+			<xsl:when test="starts-with($style,'dl')">
+				<xsl:text>gloss</xsl:text>
+			</xsl:when>
+			<xsl:when test="starts-with($style,$ListBullet)">
+				<xsl:text>unordered</xsl:text>
+			</xsl:when>
+			<xsl:when test="starts-with($style,$ListContinue)">
+				<xsl:text>unordered</xsl:text>
+			</xsl:when>
+			<xsl:when test="starts-with($style,$ListNumber)">
+				<xsl:text>ordered</xsl:text>
+			</xsl:when>
+			<xsl:when test="$style=$List">
+				<xsl:text>ordered</xsl:text>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:text />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:function>
+
+	<xsl:function name="tei:render-bold" as="xs:boolean">
+		<xsl:param name="element" />
+		<xsl:for-each select="$element">
+			<xsl:choose>
+				<xsl:when
+					test="ancestor-or-self::tei:cell[@rend='wovenodd-col1']">
+					true
+				</xsl:when>
+				<xsl:when test="ancestor-or-self::tei:cell[@role='label']">
+					true
+				</xsl:when>
+				<xsl:when
+					test="self::tei:cell and parent::tei:row[@role='label']">
+					true
+				</xsl:when>
+				<xsl:when test="@rend='bold'">
+					true
+				</xsl:when>
+				<xsl:when test="@rend='label'">
+					true
+				</xsl:when>
+				<xsl:when test="@rend='odd_label'">
+					true
+				</xsl:when>
+				<xsl:when test="contains(@rend,'bold')">
+					true
+				</xsl:when>
+				<xsl:when test="parent::tei:hi[@rend='bold']">
+					true
+				</xsl:when>
+				<xsl:when
+					test="parent::tei:hi[starts-with(@rend,'specList-')]">
+					true
+				</xsl:when>
+				<xsl:when test="self::tei:docAuthor">
+					true
+				</xsl:when>
+				<xsl:when test="self::tei:hi[@rend='label']">
+					true
+				</xsl:when>
+				<xsl:when
+					test="self::tei:label[following-sibling::tei:item]">
+					true
+				</xsl:when>
+				<xsl:when test="self::tei:term">
+					true
+				</xsl:when>
+				<xsl:when test="starts-with(@rend,'specList-')">
+					true
+				</xsl:when>
+				<xsl:when
+					test="starts-with(parent::tei:hi/@rend,'specList-')">
+					true
+				</xsl:when>
+				<xsl:otherwise>
+					false
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:for-each>
+	</xsl:function>
+
+
 </xsl:stylesheet>
\ No newline at end of file
